LINUX.ORG.RU

[Suse 11.3][kernel 2.6.34.7-0.3][ATI Mobility Radeon HD 5650] - проблемы с драйвером


0

1

Добрый день!

Возможно, это просто бурчание, и надо дождаться релиза Catalyst 10.10

Однако я попробую - сидеть-то без нормально графики до его выхода не хочется.

Стоит Suse 11.3 После обновления ядра до 2.6.34.7-0.3 Каталисты перестали собираться. Попытка поставить из репов драйвера показала, что файлы кидаются в этом случае в другую версию ядра. Вроде как проблема связана с исправлениями в новом ядре, в связи с чем компиляция модуля драйвера для видеокарты прерывается ошибками.

Есть какие-то пути получения нормальной графики для Suse «на временной основе», пока не вышел новый Каталист?

Установка другого ядра? «Небезопасного»? Как это сделать более «правильно» и «красиво»?

p.s. Новость о пререлизе Catalyst 10.10 для убунту видел. Теперь хотелось-бы то-же в бинарнике и «для всех» (конкретнее- для Сьюз). Спасибо

>Вроде как проблема связана с исправлениями в новом ядре, в связи с чем компиляция модуля драйвера для видеокарты прерывается ошибками.

Совершенно верно.

Для убунты проблема исправлена досрочным выпуском каталиста 10.10 (ubuntu only), остальным дистрам в ближайшее время это не светит.

Вывод: ати — дерьмо.

nnz ★★★★ ()
Ответ на: комментарий от slobodyan

Можно попробовать отключить репу обновлений (zypper mr -d как-там-ее), а потом попытаться даунгрейднуть ядро.

Но, в общем-то, единственный способ работы с ати в линуксе — юзать свободный radeon и забыть о том, что карточка может что-то еще.

nnz ★★★★ ()
Ответ на: комментарий от nnz

А свободный радеон даёт нормально и быстро играть видео в плеерах? Например через gl (fast).

И, если я правильно понимаю, о 3D в играх можно с ним забыть?

Я пробовал включать радеон, но, к сожалению, тогда видео нормально не игралось в fullscreen. =( Вероятно, нужна хорошая ссылочка на включение этого дела правильно.

slobodyan ()
Ответ на: комментарий от slobodyan

От видяхи зависит. Недавно приходилось сталкиваться: на одном асере с радеоном композит работал, на другом — нет. Ноуты новые, примерно одной ценовой категории (~35 тыр). Full-hd видео в один поток mplayer из packman'а на обоих играл нормально, но при большем количестве потоков все упиралось в xorg (тормозит и висит в топе с 100% CPU). С проприетарными дровами и шесть-семь потоков нормально шло, это да. Но теперь про них можно забыть.

Сейчас практически не продают ноутов с нвидией, так что пользователям линукса остается либо наслаждаться открытыми дровами, либо ставить семерочку.

nnz ★★★★ ()

Что-то у тебя странное, 10.9 в генту прекрасно собирался на 35 ядре без патчей. А уж на 34 тем более должен собраться. Так что все выводы всех ошибок сюда, а nnz не слушать.

Вывод: ати — дерьмо.

Это не вывод, а сугубо ваше личное мнение и половые проблемы, которые окружающих ничуть не волнуют.

Для убунты проблема исправлена досрочным выпуском каталиста 10.10 (ubuntu only)

Там фиксили для 35-36 ядер, а также для xorg-server 1.9, так что не вводи людей в заблуждение.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

В 2.6.34-12 тоже вроде всё работало нормально, но не в 2.6.34.7-0.3

И в этом топике говорится о похожем случае: http://forums.amd.com/game/messageview.cfm?catid=279&threadid=139992

Там-же есть вывод ошибок.

А ошибки при установке Каталиста получить можно - но в очередной раз его потом удалять... Ухх..

slobodyan ()
Ответ на: комментарий от slobodyan

Хм, у меня похожая ошибка была при переходе на 36 ядро. Значит нужно ждать 10.10 под openSUSE. А свободные пока в должной степение не поддерживают 5xxx карты.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Это не вывод, а сугубо ваше личное мнение и половые проблемы

Я бы сказал — это половые проблемы всех, кто пользуется линуксом и добровольно выбирает ати. Конкретно эта проблема нзывается копрофильством.

Там фиксили для 35-36 ядер, а также для xorg-server 1.9, так что не вводи людей в заблуждение.


Читаем чейнджлог:

- Fix build issues with kernel fix for CVE-2010-3081 (LP: #642518).


Для тех, у кого с английским проблемы, на опеннете перевели:

Исправлена ошибка сборки драйвера после установки патча, исправляющего уязвимость (CVE-2010-3081) в 64-разрядных Linux-ядрах, которая позволяла непривилегированному локальному пользователю получить root-доступ к системе.


Так что возвращаю тебе твои же слова

не вводи людей в заблуждение

nnz ★★★★ ()
Ответ на: комментарий от nnz

Я бы сказал — это половые проблемы всех, кто пользуется линуксом и добровольно выбирает ати. Конкретно эта проблема нзывается копрофильством.

Это твои половые проблемы, так как у меня вот отлично работают несколько карточек ати в разных компьютерах от интеграшек до 4830/5670 на свободных и проприетарных драйверах.

Для тех, у кого с английским проблемы, на опеннете перевели:

Исправлена ошибка сборки драйвера после установки патча, исправляющего уязвимость (CVE-2010-3081) в 64-разрядных Linux-ядрах, которая позволяла непривилегированному локальному пользователю получить root-доступ к системе.


Где в топике указано, что у ТС х86-64 система?

daemonpnz ★★★★★ ()
Ответ на: комментарий от slobodyan

Нам обоим очень повезло. Нашелся один товарищ, который пропатчил 10.9 под FreeBSD новое ядро.

Если кратко:

wget http://www.sebastian-siebert.de/downloads/makerpm-ati-10.9.sh
chmod +x makerpm-ati-10.9.sh
sudo ./makerpm-ati-10.9.sh -i
Само все скачает, пропатчит и соберет.

P.S. Ати от этого меньшим говном не стало, в очередной раз продемонстрировав, что любило оно в рот и в попу всех пользователей линукса.

nnz ★★★★ ()
Ответ на: комментарий от nnz

P.S. Ати от этого меньшим говном не стало, в очередной раз продемонстрировав, что любило оно в рот и в попу всех пользователей линукса.

Собственно подтверждение моих слов о ваших половых проблемах.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Это твои половые проблемы, так как у меня вот отлично работают несколько карточек ати в разных компьютерах от интеграшек до 4830/5670 на свободных и проприетарных драйверах.

«Отлично работает» для мазохиста-копрофила и для нормального человека — немного разные вещи :)
Вот лично мне, например, кажется, что дерьмовый девайс, создающий проблемы на пустом месте, работает ничуть не отлично. У тебя, видимо, точка зрения прямо противоположная, но это уже твои извращения.

Где в топике указано, что у ТС х86-64 система?


Никакой разницы, какая там архитектура, 86 или 64, хоть спарк (если под него катаглист был). Одно маленькое изменение в ведре может вызвать множество самых неожиданных последствий.
Факт в том, что сборка катаглиста обломалась именно после обновления по CVE-2010-3081.

nnz ★★★★ ()
Ответ на: комментарий от daemonpnz

>Собственно подтверждение моих слов о ваших половых проблемах.

По сути дела, вся ваша аргументация в пользу ати сводится к переходу на личности. Что ж, какова фирма, таковы и фанаты :)

nnz ★★★★ ()
Ответ на: комментарий от nnz

«Отлично работает» для мазохиста-копрофила и для нормального человека — немного разные вещи :)

С этим я согласен. Только как это ко мне относится?

Вот лично мне, например, кажется, что дерьмовый девайс, создающий проблемы на пустом месте, работает ничуть не отлично.

Давай по пунктам:
1) «дерьмовый девай» - пруфы?!
2) «создающий проблемы на пустом месте» - отлично работают без извращений несколько карточек. Где проблемы на пустом месте?

У тебя, видимо, точка зрения прямо противоположная, но это уже твои извращения.

Не стоит проецировать свои эротические фантазии на окружающих.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

«Кто к нам с чем и зачем, тот от того и того» (С)
Это я к тому, что собственно ни я первый перешел на личность, я лишь использовал понятные для твоего уровня аргументы.

Что ж, какова фирма, таковы и фанаты :)

Как четко ты обрисовал nVidia, её фанбоев и себя среди них.

По сути дела, вся ваша аргументация в пользу ати сводится к переходу на личности.

Кстати, твоя аргументация сводится к бессмысленному, беспощадному и безосновательному пердежу в лужу.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>С этим я согласен. Только как это ко мне относится?

Внимательно перечитай то, что было там написано дальше, и попробуй самостоятельно ответить на этот вопрос.

1) «дерьмовый девай» - пруфы?!


http://www.linux.org.ru/forum/desktop/5383354
http://forums.amd.com/game/messageview.cfm?catid=279&threadid=139992

2) «создающий проблемы на пустом месте» - отлично работают без извращений несколько карточек.


Как я уже упоминал, семантика выражения «отлично работает» в нашем споре несколько неоднозначна. Боюсь, что смысл, вкладываемый тобой во фразу «работают без извращений», тоже значительно отличается от общепринятого.

Где проблемы на пустом месте?


http://www.linux.org.ru/forum/desktop/5383354
http://forums.amd.com/game/messageview.cfm?catid=279&threadid=139992

nnz ★★★★ ()
Ответ на: комментарий от nnz

Как я уже упоминал, семантика выражения «отлично работает» в нашем споре несколько неоднозначна. Боюсь, что смысл, вкладываемый тобой во фразу «работают без извращений», тоже значительно отличается от общепринятого.

Я понял о твоих сексуальных извращениях, можешь не повторяться.

[Suse 11.3][kernel 2.6.34.7-0.3][ATI Mobility Radeon HD 5650] - проблемы с драйвером
http://forums.amd.com/game/messageview.cfm?catid=279&threadid=139992

О, да ты осилил скопировать пару адресов из данной темы... дважды... да ты монстр просто. Ты наверное еще придерживаешься идеи, что «слово» повторенное дважды в 2 раза правдивее?!
Тебе поискать по ключевым словам «nvidia+8800+сгорела»?!

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>ни я первый перешел на личность

Правда? А кто первый закричал про половые проблемы у тех, с кем он не согласен?

я лишь использовал понятные для твоего уровня аргументы


Похоже, ты ошибся уровнем. Я не считаю твои метанации аргументами.

Как четко ты обрисовал nVidia, её фанбоев


Наверное, по контрасту с тобой, это очень культурные люди.

и себя среди них


А не отношу себя к фанатам этой (кстати, довольно паршивой) фирмы. Но когда мне приходится выбирать видяху для работы в линуксе, я иду по пути наименьшего сопротивления, и выбираю именно ее продукцию, как наименее проблемную.

nnz ★★★★ ()
Ответ на: комментарий от daemonpnz

>Я понял о твоих сексуальных извращениях, можешь не повторяться.

Ты полагаешь, если человек не любит обмазываться несвежими ати, это извращение?

Ты наверное еще придерживаешься идеи, что «слово» повторенное дважды в 2 раза правдивее?!


Ты задал два вопроса, ответ на которые совпадал. Можно, было, конечно, написать, «см. выше», но не хотелось тебя нагружать таким непосильным умственным трудом :)

Тебе поискать по ключевым словам «nvidia+8800+сгорела»?!


Ну поищи, лучше с фотками. Сгоревших нвидий я не встречал, а вот два рабочих ноута с mobility radeon на днях подкинули проблем (см. сабж).

nnz ★★★★ ()
Ответ на: комментарий от nnz

Правда? А кто первый закричал про половые проблемы у тех, с кем он не согласен?

безобидные «половые проблемы» использованы были лишь для того, чтоб подчеркнуть то, что если у вас что-то не работает, это не значит что продукт говно, это лишь значит, что вы не умеете его использовать, как в басне Крылова «Мартышка и очки». И кстати, «половые проблемы» не идут ни в какое сравнение с вашими ярлыком «копрофилы», который пытаетесь наклеить на несогласного.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

Ты полагаешь, если человек не любит обмазываться несвежими ати, это извращение?

Опять безосновательный пердеж. Доказательства. Независимые источники. Где все это?

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>если у вас что-то не работает, это не значит что продукт говно, это лишь значит, что вы не умеете его использовать

Вот это и был безосновательный переход на личности.
Проблемы вылезли не только у меня, но и у множества пользователей проприетарных дров под сусей. Вендорского фикса пока нет, и в ближайшем будущем не ожидается, так что любая нормальная работа этих дров под свежей сусей имеет место быть не благодаря, но вопреки действиям ати.
Так что отмазка «ты просто не осилил» в данном случае не катит.

вашими ярлыком «копрофилы», который пытаетесь наклеить на несогласного.


Заметим: — ни разу за весь тред я не утверждал, что этот термин относится именно к вам. Т.е. вы сами решили, что это про вас :)
Быть может, в этом вы и правы, но какие претензии ко мне?

Ты полагаешь, если человек не любит обмазываться несвежими ати, это извращение?

Опять безосновательный пердеж. Доказательства. Независимые источники. Где все это?


Какие доказательства? Что доказывающие? Я же просто вопрос задал. Не хотите отвечать — так и скажите.

nnz ★★★★ ()
Ответ на: комментарий от nnz

Вот это Linux-way!

Всё скачалось, поставилось. Надо только aticonfig --init потом запустить, и усё!!!

Графика работает!!! =)

Ура-ура-ура!!

Спасибо товарищи!

p.s. Да, система у меня 64 bit.

slobodyan ()
Ответ на: комментарий от slobodyan

>Надо только aticonfig --init потом запустить

У меня даже без этого подхватилось, с пустым xorg.conf. Видимо, blacklist radeon было достаточно.

Спасибо товарищи!


Да пожалуйста. Но самое большое спасибо надо сказать этому немцу, который жестко обломал ати и таки пропатчил их дрова :)

nnz ★★★★ ()
Ответ на: комментарий от nnz

Заметим: — ни разу за весь тред я не утверждал, что этот термин относится именно к вам.

Я бы сказал — это половые проблемы всех, кто пользуется линуксом и добровольно выбирает ати. Конкретно эта проблема нзывается копрофильством.


Какие доказательства? Что доказывающие?

Обоснуйте вот это «несвежими ати».

Проблемы вылезли не только у меня, но и у множества пользователей проприетарных дров под сусей. Вендорского фикса пока нет, и в ближайшем будущем не ожидается, так что любая нормальная работа этих дров под свежей сусей имеет место быть не благодаря, но вопреки действиям ати.

До недавнего времени все работало, пока не пофиксили проблему безопасности (и тут все дружно вспоминаем stable_api_nonsense.txt). Драйвер выйдет незадолго до выхода Ubuntu 10.10, т.е в начале октября. А это скоро. А до тех пор можно было бы не обновлять ядро и сидеть абсолютно спокойной, так как дырка локальная.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

который жестко обломал ати и таки пропатчил их дрова

не благодаря, но вопреки действиям ати.

Так и представляю себе. В черном-черном городе, в черной-черной комнате, черными-черными ночами с красными от злости глазами сидят программеры из АМД/АТИ и строят очередные козни линуксоидам. Прям аж дрож берет. Ужас.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

>> (ubuntu only)
не стыдно? (:
[neko@gdetotut ~]$ pacman -Ss catalyst 10.10
catalyst/catalyst-test 10.10-666
AMD/ATI drivers for Radeon brand cards (based on ubuntu's fglrx with xserver 1.9 support). catalyst-utils + catalyst-generator

snoopcat ★★★★★ ()
Ответ на: комментарий от snoopcat

Да, кстати, так что получается Novell не позаботился о своих потребителях.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Заметим: — ни разу за весь тред я не утверждал, что этот термин относится именно к вам.

Я бы сказал — это половые проблемы всех, кто пользуется линуксом и добровольно выбирает ати.


А, так вы пользуетесь линуксом и добровольно выбираете ати?
Тогда, пожалуй, соглашусь с тем диагнозом, который вы себе поставили.

Драйвер выйдет незадолго до выхода Ubuntu 10.10, т.е в начале октября.


Для убунты он уже вышел. С остальными вендор как бы не торопится. 10.9 вышел в середине сентября (15-го), так что 10.10, ориентировочно, должен выйти в середине октября. Свистопляска с дырой началась 16-го сентября. Итого: в течение примерно месяца проприетарные дрова отсутствуют. Вот как отлично работает ати!

А до тех пор можно было бы не обновлять ядро и сидеть абсолютно спокойной, так как дырка локальная.


Т.е. «уметь пользоваться ати» == «игнорировать дыры в безопасности»? True windows way, но при чем здесь линукс?
Кроме того, люди обычно сначала обновляют ядро, а потом видят, что графика упала. А даунгрейд весьма геморроен и небезопасен.

В общем, утверждение, что ати дерьмо, нашло блестящее подтверждение в вашей реплике. А вы еще с этим спорите. Вы действительно странный человек.

nnz ★★★★ ()
Ответ на: комментарий от snoopcat

>не стыдно? (:

Скажите, этот ебилд вам инженеры из ати написали?
Или таки энтузиасты из убунты спортировали, при помощи напильника и такой-то матери?

nnz ★★★★ ()
Ответ на: комментарий от nnz

А даунгрейд весьма геморроен и небезопасен.

Интересно чем?

В общем, утверждение, что ати дерьмо, нашло блестящее подтверждение в вашей реплике.

Очередное бездоказательное метанирование луж.

Т.е. «уметь пользоваться ати» == «игнорировать дыры в безопасности»?

Странная у вас логика.

Для убунты он уже вышел. С остальными вендор как бы не торопится.

Убунта и Марк - молодцы, тесно сотрудничают с производителями железа. Novell и openSUSE похоже не торопятся устанавливать такие контакты с вендорами. Поэтому пользователи Ubuntu/Gentoo/Arch проблем не знают, а сусеводы грызут кактус. Но обвинят тут ATI/AMD глупо. При этом еще делая безосновательные выводы, что ATI/AMD говно. У вас явное нарушение логики.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

Заменил в ебилде url на новый и вуаля - новый драйвер у меня в системе.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Интересно чем?

Ну напишите мне последовательность команд, необходимую для даунгрейда ядра в сусе на версию из release.
Рекомендация собрать снапшот из git.kernel.org будет рассматриваться как петросянство :)

Очередное бездоказательное метанирование луж.


Так как на мои аргументы вам возразить нечего, вы делаете вид, что их не было.
А вы забавный :)

Странная у вас логика.


Почему у меня? У вас. Вы же так говорите.

Убунта и Марк - молодцы, тесно сотрудничают с производителями железа.


А самый большой молодец у вас, видимо, Билл Гейц, под систему которого выпускают дрова почти все железячники. Ну вот и пользуйтесь его замечательной системой и своими любимым ати, там они, наверное, хорошо работают.

Поэтому пользователи Ubuntu/Gentoo/Arch проблем не знают, а сусеводы грызут кактус.


Если быть точным: не знают проблем пользователи windows и ubuntu, остальные грызут кактус. Таскание дров из убунты — тоже разновидность такого грызения.

Ну что ж, вы сами назвали ати кактусом, что в принципе уже близко к моему определению :)

Но обвинят тут ATI/AMD глупо


Глупо обвинять вендора в том, что он не обновил проприетарный драйвер? У вас явное нарушение логики.

nnz ★★★★ ()
Ответ на: комментарий от snoopcat

>а деб-пакет для убунты разве инженеры собирали?

Там без них не обошлось, однозначно.

nnz ★★★★ ()
Ответ на: комментарий от nnz

Ну вот и пользуйтесь его замечательной системой и своими любимым ати, там они, наверное, хорошо работают.

Даже не подумаю послушать вашего совета. Как сидел на своей уютненькой генте, так и буду сидеть.

сусеводы грызут кактус.

Ну что ж, вы сами назвали ати кактусом, что в принципе уже близко к моему определению :)

Вообще то я назвал сусю кактусом, но ведь вы же между строк читаете.

Таскание дров из убунты — тоже разновидность такого грызения.

Ага, все равно, что сказать вливание кода из убунты в апрстрим опенсорс проекта - грызение кактуса. Но вы продолжайте, продолжайте мы все подивимся вашим необычайным логическим способностям и вашему свеженькому libastral'у.

Глупо обвинять вендора в том, что он не обновил проприетарный драйвер? У вас явное нарушение логики.

Видимо у вендора четкий роадмап согласованный с теми, кто в этом заинтересован (читать Ubuntu, Canonical, Mark). Разработчики других дистрибутивов тоже подтянулись и сделали пакеты под свежий драйвер. А вот бедненькие сусеводы остались неудел. Но так как они любят свою сусечку, то они будут хаять и поливать грязью АТИ/АМД, но никак не Novell и ее программеров с мейнтенерами.

ЗЫ. Я оставлю вас тут наедине с вашим чтением между строк. :) У вас прекрасно это получается. :)

ЗЫЫ. Кстати скооперируйтесь с linuxfan. У вас получится прекрасная команда «правдорубов». Может быть к вашей коалиции присоединиться анонимус-«правдоруб». И вместе, взявшись за руки, вы будете нести миру свет истины о атишниках-копрофилах, о проклятой АТИ/АМД, которая кидает бедных сусеводов. Удачи.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Вообще то я назвал сусю кактусом, но ведь вы же между строк читаете.

А почему именно сусю? Почему не федору, не дебиан, не мандриву, не арч, не редхат? Все дистры, кроме убунты, в этом смысле ничуть не лучше. Так что linux + ati = кактус, очевидно же.

Ага, все равно, что сказать вливание кода из убунты в апрстрим опенсорс проекта - грызение кактуса


Разумеется. Дрова вышли ubuntu only. Если бы ати хотело выпустить дрова для _linux_, оно бы это сделало. Но на официальной странице до сих пор лежит 10.9, несовместимый с современным linux'ом.

Видимо у вендора четкий роадмап согласованный с теми, кто в этом заинтересован


Такой четкий, что октябрьская версия выходит в сентябре :D

(читать Ubuntu, Canonical, Mark).


Вы намекаете, что это Марк подговорил ати выпустить драйвер только для избранных?
Интересная гипотеза, кстати.

А вот бедненькие линупсоиды остались неудел. Но так как они любят свой линупс, то они будут хаять и поливать грязью АТИ/АМД


Obvious fix.

Я оставлю вас тут наедине с вашим чтением между строк.


Не уходите! Вы такой забавный и смешной...

nnz ★★★★ ()
Ответ на: комментарий от daemonpnz

> Поэтому пользователи Ubuntu/Gentoo/Arch проблем не знают

А что, у Gentoo и Arch тоже контакты с вендорами?

Nxx ★★★★★ ()
Ответ на: комментарий от nnz

> Ну напишите мне последовательность команд, необходимую для даунгрейда ядра в сусе на версию из release. Рекомендация собрать снапшот из git.kernel.org будет рассматриваться как петросянство :)

Ну в Yast выбрать другую версию мышкой, и что? Потом эту версию зафиксировать замочком.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Нет, просто нормальный пользователь генты/арча сможет легко на основе уже имеющегося ебилда/pkgbuild состряпать новый.

daemonpnz ★★★★★ ()
Ответ на: комментарий от nnz

Вы намекаете, что это Марк подговорил ати выпустить драйвер только для избранных? Интересная гипотеза, кстати.

А мне кажется, что в новостях просто ошибка. AMD не выпускала драйвер для Убунты, в изначальной новости на Опеннете ссылка только на Лончпад: https://launchpad.net/ubuntu/maverick/+source/fglrx-installer/2:8.780-0ubuntu1

Пакет создан Alberto Milone, который является просто пользователем Убунты, и мейнтейнит также драйвера Nvidia. В официальных репозиториях AMD драйвера для Ubuntu нет. Кстати, и в репозиториях Nvidia драйверов для Ubuntu нет (а для Suse есть). Убунта всегда собирает и пакует драйвера Nvidia и Ati самостоятельно (в отличие от SUSE, для которой есть официальные репы производителей железа). Так кто лучше с апстримом договаривается?

Этот Alberto Milone просто взял тарбол и упаковал в deb. Сам тарбол можно найти по ссылке на лончпаде. Откуда он его взял - не знаю, может, на сайте AMD где-то нашел.

Nxx ★★★★★ ()
Ответ на: комментарий от nnz

> Для убунты он уже вышел. С остальными вендор как бы не торопится.

Покажите мне где на сайте AMD есть пакет с драйвером для Убунты. Тот драйвер, который на Лончпаде, очевидно, неоициальный.

Nxx ★★★★★ ()
Ответ на: комментарий от daemonpnz

Утверждение в некоторых новостях, что «драйвер выпущен специально для Ubuntu» похоже на очередной пиар на пустом месте. Уверен, что если еще нет, то через день-два будет доступен соответствующий драйвер и для OpenSUSE.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Пакет появился впервую очередь в packages.ubuntu.com, на лаунчпаде обычное зеркало. Пререлизы Catalyst'a появляются исключительно раз в полгода и совпадают с пререлизной подготовкой очередной версии Ubuntu. Вывод: Тарбол сначала был передан убунте, на его основе созданы пакеты для Maverick Meerkat. А только после появились ebuild'ы/pkgbuild'ы и возможно другие пакеты.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

> Пакет появился впервую очередь в packages.ubuntu.com, на лаунчпаде обычное зеркало.

Неправильно. Проект хостится и собирается на лончпаде, и только потом попадает в Убунту. И, кстати, тот тарбол для убунты пришлось нехило пропатчить тому же Alberto Milone.

Вывод: Тарбол сначала был передан убунте, на его основе созданы пакеты для Maverick Meerkat.

Версия интересная, но не учитывает, что на сайте ATI вообще нету пакетов для убунты и никогда не бывает, в отличие от пакетов для OpenSUSE, например. Пакеты для убунты всегда собирают сами убунтоиды, так что, в ориентированность ATI на Убунту не очень верится.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Только тарбол с пререлизом предоставили убунтоидам, а не сусеводам. А сусеводы так и сидят на 10.9.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

> Только тарбол с пререлизом предоставили убунтоидам, а не сусеводам. А сусеводы так и сидят на 10.9.

Ну сейчас-то тарбол кто хочет может скачать, и что? Может быть, и раньше можно было на каком-то FTP.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Ага, может быть. «Если бы да кабы - на голове б росли грибы» (С)

daemonpnz ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.